import { EventEmitter, Renderer2 } from '@angular/core';
import { Column } from '@true-directive/base';
import { GridStateService } from '../grid-state.service';
import { IEditor } from "./editor.interface";
export declare class EditorTextComponent implements IEditor {
    protected _renderer: Renderer2;
    private ie;
    private valueChanged;
    private height;
    value: string;
    state: GridStateService;
    column: Column;
    row: any;
    input: any;
    commit: EventEmitter<string>;
    change: EventEmitter<any>;
    cancel: EventEmitter<void>;
    focusAndOpenKeyboard(el: any, timeout: number): void;
    init(value: any, valueChanged: boolean, height: number, ie?: boolean): void;
    inputMouseDown(e: any): void;
    inputChange(e: any): void;
    inputKeyDown(e: any): void;
    ngAfterContentInit(): void;
    getClass(): "true-grid__input-container" | "true-grid-editor-ie" | "true-grid-editor-100p";
    getH(): string;
    constructor(_renderer: Renderer2);
}
